function plugindef()
   finaleplugin.MinFinaleVersion = "2011"
   finaleplugin.Author = "Harald Schollmeyer"
   finaleplugin.Version = "1.0"
   finaleplugin.Date = "30.12.2016"
   finaleplugin.AuthorEmail = "hschollm@gmx.net"
   finaleplugin.CategoryTags = "Staff, System"
   return "Change Staff Name Font Sizes", "Change Staff Name Font Sizes", "Changes the sizes off staff name and abbreviated name"
end

-- This script changes the sizes of all staff names and abbreviated staff names.
-- It doesn't contain a user interface like a dialog to make it easier to call it
-- from within a FinaleScript for batch processing.
-- Change the two following values to the desired sizes:
-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
local StaffNameSize = 12
local AbbreviatedStaffNameSize = 16
-- !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

local staves = finale.FCStaves()
staves:LoadAll()
for staff in each(staves) do

        local str = finale.FCString()

        local FullNameFontInfo = staff:CreateFullNameString():CreateLastFontInfo()
        FullNameFontInfo.Size = StaffNameSize
        FullNameFontInfo:MakeEnigmaString( str, NULL )
        str:AppendString( staff:CreateTrimmedFullNameString() )
        staff:SaveNewFullNameString(str)

        local AbbrevNameFontInfo = staff:CreateAbbreviatedNameString():CreateLastFontInfo()
        AbbrevNameFontInfo.Size = AbbreviatedStaffNameSize
        AbbrevNameFontInfo:MakeEnigmaString( str, NULL )
        str:AppendString( staff:CreateTrimmedAbbreviatedNameString() )
        staff:SaveNewAbbreviatedNameString(str)

end
staves:SaveAll()
